Package Details: duolingo-desktop-git 20200524-1

Git Clone URL: https://aur.archlinux.org/duolingo-desktop-git.git (read-only, click to copy)
Package Base: duolingo-desktop-git
Description: Desktop client for Duolingo, using Electron
Upstream URL: https://github.com/hmlendea/duolingo-desktop
Licenses: GPL
Submitter: Morganamilo
Maintainer: JohannesK
Last Packager: JohannesK
Votes: 2
Popularity: 0.032125
First Submitted: 2017-12-03 18:22
Last Updated: 2020-05-24 09:26

Latest Comments

JohannesK commented on 2020-05-09 11:20

Maybe I can figure out how to make it track the releases instead of just the latest master branch.

JohannesK commented on 2020-05-09 11:18

Hi, I'm new to AUR package maintenance but I would be willing to maintain this package as I use it myself. Currently it doesn't build, to fix this

install -Dm644 "${srcdir}/${_pkgname}/images/duolingo.png" "${pkgdir}/usr/share/icons/hicolor/128x128/duolingo.png"

should be

install -Dm644 "${srcdir}/${_pkgname}/icon.png" "${pkgdir}/usr/share/icons/hicolor/128x128/duolingo.png"

Hori commented on 2020-04-23 19:29

Hello.

I'm the author of this small project. The project was left unmaintained for years.

However, since we're all in quarantine, and have too much time on our hands, I decided to go ahead and update the project so that it will work again.

I released version 2.0.0 which is not bringing anything new, but it's a "new start". (actually I removed the dark theme for now since it was completely broken, until I fix it)

I also made use of the releases feature of GitHub to include a linux build of this app in a zip archive. Works well on Arch Linux (I use Arch myself).

mark commented on 2019-11-15 19:54

It fails on make, some conversion from v8::Local<v8::Context> to v8::Isolate*, please advise.

agmemnon commented on 2018-11-03 07:06

Thanks a lot for maintaining this package, especially since the maintainer doesn't use it himself !

Morganamilo commented on 2018-07-27 15:34

Done. This was a package I uploaded because someone asked me to. So I have no intrest in the package myself nor do I use it, which means I'm kinda clueless on the actual depends and such. I'm still happy to update it on request but as you seem interested in it you're free to maintain it instead if you wish.

cyrinux commented on 2018-07-27 14:28

Hi @Morganamilo, Sorry, could you please add in makedepends 'git' and 'python2'. My aur builder use chroot and need them ;) Thanks!

Morganamilo commented on 2018-07-27 13:09

@cyrinux works for me.

Circle111 commented on 2018-03-04 09:16

Do not install

Log: prebuild-install http 404 https://github.com/develar/rabin-bindings/releases/download/v1.7.3/rabin-bindings-v1.7.3-node-v59-linux-x64.tar.gz prebuild-install WARN install No prebuilt binaries found (target=9.7.1 runtime=node arch=x64 platform=linux) make: вход в каталог «/tmp/yaourt-tmp-varvar87/aur-duolingo-desktop-git/src/duolingo-desktop/node_modules/rabin-bindings/build» CXX(target) Release/obj.target/rabin-bindings/bindings.o CXX(target) Release/obj.target/rabin-bindings/src/rabin.o CXX(target) Release/obj.target/rabin-bindings/src/rabin_wrap.o SOLINK_MODULE(target) Release/obj.target/rabin-bindings.node COPY Release/rabin-bindings.node make: выход из каталога «/tmp/yaourt-tmp-varvar87/aur-duolingo-desktop-git/src/duolingo-desktop/node_modules/rabin-bindings/build»

electron@1.7.6 postinstall /tmp/yaourt-tmp-varvar87/aur-duolingo-desktop-git/src/duolingo-desktop/node_modules/electron node install.js